# akAssociatedAccess
package MT::Plugin::akAssociatedAccess;

require MT::Plugin;
my $plugin = MT::Plugin->new({
	name => "akAssociatedAccess",
	author_name => 'Ana-Kutsu',
	author_link => 'http://www.ana-kutsu.com/',
	version => 1.0
});

MT->add_plugin($plugin);

use MT::Template::Context;

MT::Template::Context->add_global_filter(akaa => \&associatedAccess);

sub associatedAccess {
	my ($str, $arg, $ctx) = @_;
	my @lineArray = split(/\n/, $str);
	my $line = '';
	my $result = '';
	
	$arg .= ':';
	foreach $line (@lineArray) {
		if ($line =~ /^$arg/i) {
			$result = $line;
			$result =~ s/^$arg//i;
			$result =~ s/\n|\r//g;
			last;
		}
	}
	
	return $result;
}

1;
